All Apps and Add-ons

ServiceNow (SNOW) Integration - Add-on Compatibility?

VedranZulin
Engager

Hi everyone,

I am trying to integrate ServiceNow with Splunk (8.0.1, distributed environment - SHC), however no luck so far (despite many hours spent trying out different configurations).

Does anyone know whether there are any documented issues with the Add-on (V.5.0.1) in combination with 8.0.1?
Any other considerations worth a mention?

Many thanks in advance,
stay healthy,
best regards

0 Karma

VedranZulin
Engager

By the way, what I've found in the TA log is the following (the Proxy and the Firewall/-s have been checked previously):

2020-03-25 15:44:05,549 ERROR pid=18531 tid=MainThread file=splunk_ta_snow_accou nt_validation.py:validate:66 | Unable to reach ServiceNow instance at https://.service-now.com/. The reason for failure is=Traceback (most recent call la st):
File "/opt/splunk/etc/apps/Splunk_TA_snow/bin/Splunk_TA_snow/httplib2_helper/h ttplib2_py3/httplib2/init.py", line 1529, in conn_request
conn.connect()
File "/opt/splunk/etc/apps/Splunk_TA_snow/bin/Splunk_TA_snow/httplib2_helper/h ttplib2_py3/httplib2/
init_.py", line 1291, in connect
address_info = socket.getaddrinfo(host, port, 0, socket.SOCK_STREAM)
File "/opt/splunk/lib/python3.7/socket.py", line 748, in getaddrinfo
for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno -2] Name or service not known

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/opt/splunk/etc/apps/Splunk_TA_snow/bin/splunk_ta_snow_account_validatio n.py", line 62, in validate
resp, content = http.request(url)
File "/opt/splunk/etc/apps/Splunk_TA_snow/bin/Splunk_TA_snow/httplib2_helper/h ttplib2_py3/httplib2/init.py", line 1958, in request
cachekey,
File "/opt/splunk/etc/apps/Splunk_TA_snow/bin/Splunk_TA_snow/httplib2_helper/h ttplib2_py3/httplib2/init.py", line 1623, in request
conn, request_uri, method, body, headers
File "/opt/splunk/etc/apps/Splunk_TA_snow/bin/Splunk_TA_snow/httplib2_helper/h ttplib2_py3/httplib2/
init_.py", line 1536, in _conn_request
raise ServerNotFoundError("Unable to find the server at %s" % conn.host)
httplib2.ServerNotFoundError: Unable to find the server at .service-now.c om

0 Karma
Get Updates on the Splunk Community!

Routing Data to Different Splunk Indexes in the OpenTelemetry Collector

This blog post is part of an ongoing series on OpenTelemetry. The OpenTelemetry project is the second largest ...

Getting Started with AIOps: Event Correlation Basics and Alert Storm Detection in ...

Getting Started with AIOps:Event Correlation Basics and Alert Storm Detection in Splunk IT Service ...

Register to Attend BSides SPL 2022 - It's all Happening October 18!

Join like-minded individuals for technical sessions on everything Splunk!  This is a community-led and run ...